Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class PhoneResource

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.oss.systems.inventory.resource.common.bean.PhoneResource

All Implemented Interfaces:
  `Serializable`, `Idable`

public class PhoneResource extends Id

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PhoneResource()`
  `PhoneResource(int id)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCategoryId()`
  `String`
  `getComment()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `long`
  `getPhoneFrom()`
  `long`
  `getPhoneTo()`
  `PhoneResource`
  `setCategoryId(int categoryId)`
  `PhoneResource`
  `setComment(String comment)`
  `PhoneResource`
  `setDateFrom(Date dateFrom)`
  `PhoneResource`
  `setDateTo(Date dateTo)`
  `PhoneResource`
  `setPhoneFrom(long phoneFrom)`
  `PhoneResource`
  `setPhoneTo(long phoneTo)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PhoneResource

    public PhoneResource()

  - ### PhoneResource

    public PhoneResource(int id)

- ## Method Details

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public PhoneResource setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public PhoneResource setDateTo(Date dateTo)

  - ### getPhoneTo

    public long getPhoneTo()

  - ### setPhoneTo

    public PhoneResource setPhoneTo(long phoneTo)

  - ### getComment

    public String getComment()

  - ### setComment

    public PhoneResource setComment(String comment)

  - ### getCategoryId

    public int getCategoryId()

  - ### setCategoryId

    public PhoneResource setCategoryId(int categoryId)

  - ### getPhoneFrom

    public long getPhoneFrom()

  - ### setPhoneFrom

    public PhoneResource setPhoneFrom(long phoneFrom)